package com.liquidnet.client.admin.zhengzai.candy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.candy.dto.admin.*;
import com.liquidnet.service.candy.entity.CandyCoupon;
import com.liquidnet.service.candy.entity.CandyCouponRule;
import com.liquidnet.service.candy.entity.CandyMgtCoupon;

import java.util.List;

public interface ICandyMgtCouponAdminService extends IService<CandyMgtCoupon> {

    boolean saveMgtCouponForMemberRights(CandyMemberCouponBuildParam parameter);

    boolean editMgtCouponForMemberRights(CandyMemberCouponBuildParam parameter);

    boolean saveMgtCouponForCouponBuild(CandyMgtCouponBuildParam parameter);

    boolean saveMgtCouponInfo(CandyCoupon initCoupon, CandyMgtCoupon initMgtCoupon, List<CandyCouponRule> initCouponRuleList);

    boolean updateMgtCouponInfo(CandyCoupon updateCoupon, CandyMgtCoupon updateMgtCoupon, List<CandyCouponRule> initCouponRuleList);

    List<CandyMgtCouponInfoDto> listForMgtCouponInfoDto(CandyMgtCouponListParam listParam);

    List<CandyMgtCouponMemberDto> listForMgtCouponMemberDto(List<String> mrightsIdList);
}
